Skip to main content
POST
/
v1
/
broll
/
{id}
/
scenes
/
{sceneId}
/
regenerate
Regenerate a specific B-roll scene
curl --request POST \
  --url https://api.yalg.ai/v1/broll/{id}/scenes/{sceneId}/regenerate \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "instructions": "Use clean SaaS-style motion graphics and subtle camera movement."
}
'
{
  "id": "018f9f50-5c13-75f7-98e9-7592b35a7b10",
  "status": "running",
  "currentStep": "scene_rendering",
  "sourceScriptJobId": "018f9f42-9c1d-7b12-97c4-8142b8a27c90",
  "scenes": [],
  "createdAt": "2026-06-20T17:24:39.000Z",
  "updatedAt": "2026-06-20T17:24:39.000Z"
}

Authorizations

x-api-key
string
header
default:yalg_live_your_api_key
required

YALG Developer API key. Send it in the x-api-key header from a server-side environment only.

Path Parameters

id
string
required

Resource identifier.

Example:

"018f9f40-7d7b-7712-9b0f-2e5d9fd5df3f"

sceneId
string
required

B-roll scene identifier.

Example:

"018f9f47-1f28-7fd5-aac4-71e3642b2f9a"

Body

application/json
reason
string

Reason for regeneration

Response

Scene queued for regeneration

B-roll generation and rendering job.

id
string<uuid>

Job identifier.

Example:

"018f9f40-7d7b-7712-9b0f-2e5d9fd5df3f"

status
string
Example:

"pending"

currentStep
string
Example:

"draft_generation"

qualityScore
number
Example:

0.91

riskLevel
string
Example:

"low"

warnings
string[]
totalTokensUsed
integer
Example:

1284

startedAt
string<date-time>
Example:

"2026-06-20T17:24:39.000Z"

completedAt
string<date-time>
Example:

"2026-06-20T17:24:39.000Z"

createdAt
string<date-time>
Example:

"2026-06-20T17:24:39.000Z"

updatedAt
string<date-time>
Example:

"2026-06-20T17:24:39.000Z"

sourceScriptJobId
string<uuid>

Source script job identifier.

Example:

"018f9f40-7d7b-7712-9b0f-2e5d9fd5df3f"

sourceShortId
string<uuid>

Source short identifier.

Example:

"018f9f40-7d7b-7712-9b0f-2e5d9fd5df3f"

scenes
object[]